---
title: llarp::service::LNSLookupTracker::LookupInfo

---

# llarp::service::LNSLookupTracker::LookupInfo





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[LookupInfo](Classes/structllarp_1_1service_1_1LNSLookupTracker_1_1LookupInfo.md#function-lookupinfo)**(std::size_t wantResults, std::function< void(std::optional< Addr_t >)> resultHandler) |
| bool | **[IsDone](Classes/structllarp_1_1service_1_1LNSLookupTracker_1_1LookupInfo.md#function-isdone)**() const |
| void | **[HandleOneResult](Classes/structllarp_1_1service_1_1LNSLookupTracker_1_1LookupInfo.md#function-handleoneresult)**(std::optional< Addr_t > result) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::unordered_set< Addr_t > | **[m_CurrentValues](Classes/structllarp_1_1service_1_1LNSLookupTracker_1_1LookupInfo.md#variable-m-currentvalues)**  |
| std::function< void(std::optional< Addr_t >)> | **[m_HandleResult](Classes/structllarp_1_1service_1_1LNSLookupTracker_1_1LookupInfo.md#variable-m-handleresult)**  |
| std::size_t | **[m_ResultsGotten](Classes/structllarp_1_1service_1_1LNSLookupTracker_1_1LookupInfo.md#variable-m-resultsgotten)**  |
| std::size_t | **[m_ResultsNeeded](Classes/structllarp_1_1service_1_1LNSLookupTracker_1_1LookupInfo.md#variable-m-resultsneeded)**  |

## Public Functions Documentation

### function LookupInfo

```cpp
inline LookupInfo(
    std::size_t wantResults,
    std::function< void(std::optional< Addr_t >)> resultHandler
)
```


### function IsDone

```cpp
bool IsDone() const
```


### function HandleOneResult

```cpp
void HandleOneResult(
    std::optional< Addr_t > result
)
```


## Public Attributes Documentation

### variable m_CurrentValues

```cpp
std::unordered_set< Addr_t > m_CurrentValues;
```


### variable m_HandleResult

```cpp
std::function< void(std::optional< Addr_t >)> m_HandleResult;
```


### variable m_ResultsGotten

```cpp
std::size_t m_ResultsGotten = 0;
```


### variable m_ResultsNeeded

```cpp
std::size_t m_ResultsNeeded;
```


-------------------------------

Updated on 2022-11-17 at 22:27:42 +0000